#include <stdio.h>
#include <stdlib.h>

extern void daxpy_(int *n, double *alpha, double *x, int *incx, double *y, int *incy);

void print_vec(double *x, int n);

int main(int argc, char *argv[]) {
  
  int i = 0, n = 8, incx = 0, incy = 1;
  double alpha = -1.0;
  double y[9] = {0.0,1.0,2.0,3.0,4.0,5.0,6.0,7.0,8.0};
  double x = 0.5;

  // Print y
  printf("y = \n");
  print_vec(y, n);

  // Compute y := y - 0.5 with n = 8
  printf("y = \n");
  daxpy_(&n, &alpha, &x, &incx, y, &incy);
  print_vec(y, n);

  n -= 1;
  // Compute y := y - 0.5 with n = 7
  printf("y = \n");
  daxpy_(&n, &alpha, &x, &incx, y, &incy);
  print_vec(y, n);

  return 0;
}

void print_vec(double *x, int n) {
  int i;
  printf("[");
  for (i=0;i<n;i++) printf("% .2f ", x[i]); 
  printf("]\n");
  return;
}
